Create cloud mode order

Create an order for Point of Sale using cloud mode.

Authentication

Authentication for this endpoint requires a terminal group API key. For more information, see Terminal group ID and API key

User Guide

Before creating a cloud mode order, ensure that you have correctly set up your POS solution and enabled cloud mode. For more information, see Cloud POS payments - POS Integration guide.

To create an order for a Point of Sale (POS) transaction:

  1. In your own backend, include the required parameters in the request body, such as amount, currency, description, and order_id. Always include the gateway_info.terminal_id parameter to specify the terminal for the transaction.
  2. Transactions can only be tested in the live environment. To test the endpoint, use valid parameters and a LIVE terminal group API key.
  3. Additionally, you can subscribe to Event notifications to receive real-time updates on the payment status.

Body Params

Order created with the cloud payment flow

string
required
Defaults to redirect

The type of payment flow.

string
required
length ≤ 50

Your unique (client-defined) identifier for the order.

string
required
length between 3 and 3

The currency of the payment.

Format: ISO-4217 currency code.

integer
required
≥ 0

The payment amount in the currency's smallest unit:

  • Decimal currencies: Value for 10 EUR = 1000 (1000 cents)
  • Zero-decimal currencies: Value for 10 JPY = 10

Discounts

To discount:

  • An entire order, enter a reduced amount.
  • Specific items in the order, in the shopping_cart, reduce the unit_price of the relevant items.
string
required
length ≤ 200

A description of the cloud payment.

Appears on payment pages and customer bank statements (if supported by the bank).

payment_options
object
customer
object

The customer’s personal information.

gateway_info
object
required

Information about the payment gateway used for the order.

shopping_cart
object

The array of items in the customer's shopping cart, including the shipping costs, and the tax class (as defined in checkout_options).

Required for: BNPL orders, but recommended for all orders.

Displays on payment pages, FastCheckout pages, and in your dashboard.

To learn how to calculate the order amount from the shopping_cart, see Rounding rule.

Discounts

Responses

Language
Credentials
Query
LoadingLoading…
Response
Choose an example:
application/json